{{page-title @model.newsletter.name}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.newsletter.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      <div>
        {{#if @model.newsletter.canEdit}}
          <LinkTo
            @route="manage.articles.add-message"
            @query={{hash newsletter=@model.newsletter.id}}
            class="btn btn-add-article"
          >
            <FaIcon @icon="plus" />
            {{t "message"}}
          </LinkTo>

          <div class="sep"></div>

          <LinkTo {{tooltip (t "import emails")}} @route="manage.newsletters.import" @model={{@model.newsletter.id}} class="btn btn-import-emails">
            <FaIcon @icon="upload" />
          </LinkTo>

          <Input::Button {{tooltip (t "export emails with stats")}} @action={{this.downloadEmails}} class="btn btn-export-emails">
            <FaIcon @icon="download" />
          </Input::Button>
        {{/if}}
        <div class="sep"></div>
        <Manage::ViewMode @value={{this.manageListStore}} />

        {{#if @model.newsletter.canEdit}}
          <LinkTo @route="manage.newsletters.edit" @model={{@model.newsletter.id}} class="btn btn-edit float-end">
            <FaIcon @icon="pencil-alt" />
            {{t "newsletter"}}
          </LinkTo>
        {{/if}}

        {{#if @model.welcomeMessage.canEdit}}
          <LinkTo
            @route="manage.articles.edit"
            @model={{@model.welcomeMessage.id}}
            class="btn btn-edit-welcome float-end"
          >
            <FaIcon @icon="pencil-alt" />
            {{t "welcome message"}}
          </LinkTo>
        {{/if}}
      </div>
      <div class="clearfix"></div>
    </:extra>

    <:content>
      <div class="row">
        <div class="col mb-5">
          <Manage::Dashboard::NewsletterStats @newsletter={{@model.newsletter}} />
        </div>
      </div>

      <div class="row">
        <div class="col">
          <div
            class="row
              {{if
                (eq this.manageListStore.viewMode 'grid')
                'row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4'
              }}
              mb-5"
          >
            <Manage::SelectableList
              @query={{this.query}}
              @value={{@model.articles}}
              @reload={{@model.reload}}
              as |article selection onSelect|
            >
              {{#if (eq this.manageListStore.viewMode "grid")}}
                <div class="col">
                  <Manage::CardArticle
                    class="newsletter-article-card"
                    @article={{article}}
                    @selection={{selection}}
                    @onSelect={{onSelect}}
                    @deleteRecord={{this.deleteRecord}}
                    @onClick={{fn this.browseArticle article.id}}
                  />
                </div>
              {{/if}}

              {{#if (eq this.manageListStore.viewMode "list")}}
                <Manage::ListRow
                  class="row-dashboard-article"
                  @selection={{selection}}
                  @onSelect={{onSelect}}
                  @useStatus={{true}}
                  @record={{article}}
                  @onDelete={{this.deleteRecord}}
                  @onClick={{fn this.browseArticle article.id}}
                />
              {{/if}}
            </Manage::SelectableList>
          </div>
        </div>
      </div>
    </:content>
  </Manage::Container>
{{/if}}